import java.io.*;

/** quickie class that can take a document and write it
 * out to a file.
 * A more normal format, would use more features, like the describeFonts()
 * command
 *
 * @author Philip Brown
 * @version @(#) WriteText.java 2.1@(#)
 */


public class WriteText implements DocInterface {
	BufferedWriter fileOut=null;
	public void startInput(String fname) throws IOException{
		FileWriter ftmp=new FileWriter(fname);
		fileOut=new BufferedWriter(ftmp);
	}

	public void endInput() throws IOException{
		fileOut.close();
		fileOut=null;
	}

	/* Your basic text tweaks go in this section */
	public void addString(String newtext) throws IOException{
		fileOut.write(newtext);
	}
	public void changeFont(int fontindex) {};
	public void changeColor(int colorindex) {};

	
	public void describeFonts(FontManager fman) {};
	public void addColorIndex(int cnum, int rgb) {};

	public void setParagraphIndent(int ptindent) {};
	public void setLineWidth(int ptwidth) {};
	public void insertParagraphBreak() throws IOException {
		fileOut.newLine();
	}
	public void insertPageBreak() throws IOException {
		fileOut.newLine();
		//fileOut.write('\014');
		//fileOut.newLine();
	}

	public void setLeftMargin(int ptdist) {};
	public void setRightMargin(int ptdist) {};
	public void setTopMargin(int ptdist) {};
	public void setBottomMargin(int ptdist) {};
}
